=== debian/changelog ===
libtifiles (1.1.8~git20240415.7c4858d-1) unstable; urgency=medium

  * New upstream version 1.1.8~git20240415.7c4858d
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Switch to newer pkgconf.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 29 May 2024 19:04:10 +0200
