=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=1.1.8~git%cd.%h" \
https://github.com/debrouxl/tilibs/ \
HEAD debian debian/clean-orig-source
